Index: SPECS/pam.spec
===================================================================
--- SPECS.orig/pam.spec
+++ SPECS/pam.spec
@@ -11,7 +11,7 @@
 Summary: A security tool which provides authentication for applications
 Name: pam
 Version: 0.99.6.2
-Release: 3.16%{?dist}
+Release: 3.16.fa1%{?dist}
 License: GPL or BSD
 Group: System Environment/Base
 Source0: http://ftp.us.kernel.org/pub/linux/libs/pam/pre/library/Linux-PAM-%{version}.tar.bz2
@@ -186,6 +186,7 @@ strip $RPM_BUILD_ROOT%{_sbindir}/* ||:
 # Install man pages.
 install -m 644 %{SOURCE9} %{SOURCE10} $RPM_BUILD_ROOT%{_mandir}/man5/
 
+%ifnarch %{arm}
 # Make sure every module subdirectory gave us a module.  Yes, this is hackish.
 for dir in modules/pam_* ; do
 if [ -d ${dir} ] ; then
@@ -195,6 +196,7 @@ if [ -d ${dir} ] ; then
 	fi
 fi
 done
+%endif
 
 # Check for module problems.  Specifically, check that every module we just
 # installed can actually be loaded by a minimal PAM-aware application.
@@ -340,7 +342,9 @@ fi
 /%{_lib}/security/pam_mail.so
 /%{_lib}/security/pam_mkhomedir.so
 /%{_lib}/security/pam_motd.so
+%ifnarch %{arm}
 /%{_lib}/security/pam_namespace.so
+%endif
 /%{_lib}/security/pam_nologin.so
 /%{_lib}/security/pam_permit.so
 /%{_lib}/security/pam_postgresok.so
@@ -376,8 +380,10 @@ fi
 %config(noreplace) %{_sysconfdir}/security/console.handlers
 %config(noreplace) %{_sysconfdir}/security/group.conf
 %config(noreplace) %{_sysconfdir}/security/limits.conf
+%ifnarch %{arm}
 %config(noreplace) %{_sysconfdir}/security/namespace.conf
 %attr(755,root,root) %config(noreplace) %{_sysconfdir}/security/namespace.init
+%endif
 %config(noreplace) %{_sysconfdir}/security/pam_env.conf
 %config(noreplace) %{_sysconfdir}/security/time.conf
 %config(noreplace) %{_sysconfdir}/security/opasswd
